* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}


nav {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 15px 20px;
    background: #020617;
    color: #e2e8f0;
}


.logo {
    font-size: 26px;
    font-weight: bold;
    color: #38bdf8;
}


.nav-links {
    display: flex;
    list-style: none;
    gap: 20px;
    margin: 0;
    padding: 0;
}


.nav-links li {
    margin-left: 0;
}


.nav-links a {
    text-decoration: none;
    font-size: 20px;
    color: #e2e8f0;
}


.nav-links a:hover {
    color: #38bdf8;
}


/* Hero Section */
.hero {
    height: 79vh;
    min-height: 83vh;
    padding: 20% 20%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    color: white;
    text-align: center;
    animation: fadeIn 1.5s ease-in-out;
    background: linear-gradient(135deg, #020617, #0f172a);
}

.hero h1 {
    font-size: 36px;
    font-weight: bold;
}


.hero p {
    margin-top: 1rem;
    font-size: 18px;
    opacity: 0.9;
}


.hero-buttons {
    margin-top: 2rem;
}


.btnContact,
.btn {
    display: inline-block;
    margin: 1rem;
    padding: 12px 25px;
    border-radius: 30px;
    text-decoration: none;
    font-weight: bold;
    transition: 0.3s;
    box-shadow: 0 5px 15px rgba(0, 0, 0, 0.2);
    background: #38bdf8;
    color: #020617;
}


.btnContact {
    border: none;
    font-family: 'Times New Roman', Times, serif;
    font-weight: bold;
    font-size: medium;
}


.btnContact:hover,
.btn:hover {
    transform: scale(1.05);
    background: #0ea5e9;
    color: white;
}


.quick-links {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 15px;
    margin-top: 20px;
}

.card {
    background: #1e293b;
    color: #e2e8f0;
    padding: 20px 30px;
    border-radius: 12px;
    text-decoration: none;
    font-size: 18px;
    transition: 0.3s;
    margin-bottom: 20px;
    text-align: center;
}

.card:hover {
    background: #38bdf8;
    color: #020617;
    transform: translateY(-5px);
}




.Heading {
    text-align: center;
    margin-top: 2rem;
}

/* Set text color of the selected link/page in navigation bar */

#selected_page {
    color: #38bdf8;
}


.cheat-sheet {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 2rem;
    padding: 2rem;
}


.elements {
    width: 100%;
    max-width: 327px;
    padding: 20px;
    transition: transform 0.3s, box-shadow 0.3s;
    border-radius: 15px;
    background: #1e293b;
    color: #e2e8f0;
    border: 1px solid #334155;
    font-family: Arial, sans-serif;
}


.elements:hover {
    transform: translateY(-10px) scale(1.02);
    box-shadow: 0 10px 25px rgba(0, 0, 0, 0.4);
}


.elements h2 {
    font-size: 20px;
    color: #38bdf8;
    margin-bottom: 10px;

}


.elements p {
    color: #cbd5f5;
    font-size: 17px;
    line-height: 1.6;
}


.elements pre {
    color: #cbd5f5;
    font-size: 15px;
    line-height: 1.6;
}

/* Popup */
.popup {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.7);
    justify-content: center;
    align-items: center;
    z-index: 1000;
}


.popup-content {
    background: white;
    padding: 30px;
    border-radius: 15px;
    width: 90%;
    max-width: 400px;
    text-align: center;
    position: relative;
}


.popup-content input,
.popup-content textarea {
    width: 100%;
    padding: 10px;
    margin: 10px 0;
    border-radius: 8px;
    border: 1px solid #ccc;
}


.popup-content button {
    margin-top: 10px;
    background-color: white;
}

.popup-content h2 {
    color: #020617;
}

/* Close Button */
.close {
    position: absolute;
    color: #020617;
    top: 10px;
    right: 15px;
    font-size: 24px;
    cursor: pointer;
}


.contact-links {
    display: flex;
    justify-content: center;
    gap: 25px;
    flex-wrap: wrap;
}


.contact-links a {
    text-decoration: none;
    padding: 10px 18px;
    background: #545456;
    border-radius: 25px;
    color: #eaebeb;
    transition: 0.3s;
}


.contact-links a:hover {
    background: #0ea5e9;
    color: #020617;
}


body {
    background: #0f172a;
    color: #e2e8f0;
    padding: 0;

}

.footer {
    font-size: 19px;
    position: relative;
    text-align: center;
    padding: 20px;
    background: #020617;
    color: #94a3b8;
}


@media (max-width: 768px) {


    nav {
        flex-direction: row;
        align-items: center;
        text-align: center;
    }

    .nav-links {
        flex-direction: row;
        gap: 10px;
        margin-top: 10px;
    }

    .nav-links a {
        font-size: 19px;
        margin-right: 4px;
    }

    .logo {
        padding-top: 10px;
        font-size: 20px;
        font-weight: bold;
    }


    .hero {
        height: calc(100vh - 125px);
        padding: 20px 15px;
    }

    .hero h1 {
        font-size: 22px;
    }

    .hero p {
        font-size: 14px;
    }


    .btn,
    .btnContact {
        padding: 10px 18px;
        font-size: 14px;
    }


    .elements {
        width: 100%;
        max-width: 100%;
    }


    .popup-content {
        width: 100%;
        max-width: 300px;
    }


    .footer {
        font-size: 14px;
        padding: 15px;
    }
}